using Android.Media;
using TranslateMobile.Droid;
using Xamarin.Forms;
using static TranslateMobile.MainPage;



[assembly: Dependency(typeof(TextToSpeechImplementation))]

namespace TranslateMobile.Droid
{
	public class TextToSpeechImplementation : Java.Lang.Object, ITextToSpeech
	{
		public void Lire(string strURL)
		{
			//Utilisation du MediaPlayer Android pour restitution du streaming
			MediaPlayer player = new MediaPlayer();
			player.SetDataSource(strURL);
			player.Prepare();
			player.Start();
		}

	}
}